>From 5925ef5131f3438e612d04e1eaebc338013d7271 Mon Sep 17 00:00:00 2001
From: Christopher Mueller <christopher.mueller@itec.aau.at>
Date: Mon, 30 Jan 2012 19:26:24 +0100
Subject: [PATCH 23/27] dash: added bitrate to chunk

---
 modules/stream_filter/dash/http/Chunk.cpp |    8 ++++++++
 modules/stream_filter/dash/http/Chunk.h   |    3 +++
 2 files changed, 11 insertions(+), 0 deletions(-)

diff --git a/modules/stream_filter/dash/http/Chunk.cpp b/modules/stream_filter/dash/http/Chunk.cpp
index 5de4e9f..445d703 100644
--- a/modules/stream_filter/dash/http/Chunk.cpp
+++ b/modules/stream_filter/dash/http/Chunk.cpp
@@ -72,3 +72,11 @@ void                Chunk::setUseByteRange  (bool value)
 {
     this->hasByteRange = value;
 }
+void                Chunk::setBitrate       (int bitrate)
+{
+    this->bitrate = bitrate;
+}
+int                 Chunk::getBitrate       ()
+{
+    return this->bitrate;
+}
diff --git a/modules/stream_filter/dash/http/Chunk.h b/modules/stream_filter/dash/http/Chunk.h
index c2020f8..efffa2c 100644
--- a/modules/stream_filter/dash/http/Chunk.h
+++ b/modules/stream_filter/dash/http/Chunk.h
@@ -46,6 +46,8 @@ namespace dash
                 void                addOptionalUrl  (const std::string& url);
                 bool                useByteRange    ();
                 void                setUseByteRange (bool value);
+                void                setBitrate      (int bitrate);
+                int                 getBitrate      ();
 
             private:
                 std::string                 url;
@@ -53,6 +55,7 @@ namespace dash
                 int                         startByte;
                 int                         endByte;
                 bool                        hasByteRange;
+                int                         bitrate;
 
         };
     }
-- 
1.7.0.4

